//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: textureManager.cpp
//      Краткое описание: текстурный менеджер
//

#include <Darkstar/Resource System/Textures/textureManager.hpp>
#include <Darkstar/Kernel/logh.hpp>
#include <Darkstar/Resource System/Textures/loadableTexture.hpp>

using namespace rs_private;
using ker::Log;
using namespace rs;

TextureManager::TextureManager()
{

};

TextureManager::~TextureManager()
{

};

shared_ptr<BaseTexture> TextureManager::load(const std::string& filename, const int quality)
{
	shared_ptr<LoadableTexture> tex(new LoadableTexture);
	tex->load(filename, quality);
	return tex;
};